Package io.flutter.embedding.engine.systemchannels

# Class SensitiveContentChannel

java.lang.Object
io.flutter.embedding.engine.systemchannels.SensitiveContentChannel

public class SensitiveContentChannel extends Object
`SensitiveContentChannel` is a platform channel that is used by the framework to get and set the content sensitivity of a native Flutter Android `View`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SensitiveContentChannel.SensitiveContentMethodHandler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTO_SENSITIVE_CONTENT_SENSITIVITY`
  Flutter ContentSensitivity.autoSensitive index that represents Android's `View.CONTENT_SENSITIVITY_AUTO` setting.
  `final MethodChannel`
  `channel`
  `static final int`
  `NOT_SENSITIVE_CONTENT_SENSITIVITY`
  Flutter ContentSensitivity.notSensitive index that represents Android's `View.CONTENT_SENSITIVITY_NOT_SENSITIVE` setting.
  `final MethodChannel.MethodCallHandler`
  `parsingMethodHandler`
  `static final int`
  `SENSITIVE_CONTENT_SENSITIVITY`
  Flutter ContentSensitivity.sensitive index that represents Android's `View.CONTENT_SENSITIVITY_SENSITIVE` setting.
  `static final int`
  `UNKNOWN_CONTENT_SENSITIVITY`
  Flutter ContentSensitivity._unknown index that represents a content sensitivity setting that the Flutter SensitiveContent widget does not recognize.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SensitiveContentChannel(DartExecutor dartExecutor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setSensitiveContentMethodHandler(SensitiveContentChannel.SensitiveContentMethodHandler sensitiveContentMethodHandler)`
  Sets the `SensitiveContentChannel.SensitiveContentMethodHandler` which receives all requests to get and set a particular content sensitivty level sent through this channel.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUTO_SENSITIVE_CONTENT_SENSITIVITY

    @VisibleForTesting public static final int AUTO_SENSITIVE_CONTENT_SENSITIVITY
    Flutter ContentSensitivity.autoSensitive index that represents Android's `View.CONTENT_SENSITIVITY_AUTO` setting.

    See https://developer.android.com/reference/android/view/View#CONTENT_SENSITIVITY_AUTO.

    See Also:
      - Constant Field Values

  - ### SENSITIVE_CONTENT_SENSITIVITY

    @VisibleForTesting public static final int SENSITIVE_CONTENT_SENSITIVITY
    Flutter ContentSensitivity.sensitive index that represents Android's `View.CONTENT_SENSITIVITY_SENSITIVE` setting.

    See https://developer.android.com/reference/android/view/View#CONTENT_SENSITIVITY_SENSITIVE.

    See Also:
      - Constant Field Values

  - ### NOT_SENSITIVE_CONTENT_SENSITIVITY

    @VisibleForTesting public static final int NOT_SENSITIVE_CONTENT_SENSITIVITY
    Flutter ContentSensitivity.notSensitive index that represents Android's `View.CONTENT_SENSITIVITY_NOT_SENSITIVE` setting.

    See https://developer.android.com/reference/android/view/View#CONTENT_SENSITIVITY_NOT_SENSITIVE.

    See Also:
      - Constant Field Values

  - ### UNKNOWN_CONTENT_SENSITIVITY

    @VisibleForTesting public static final int UNKNOWN_CONTENT_SENSITIVITY
    Flutter ContentSensitivity._unknown index that represents a content sensitivity setting that the Flutter SensitiveContent widget does not recognize.
    See Also:
      - Constant Field Values

  - ### channel

    public final MethodChannel channel

  - ### parsingMethodHandler

    @NonNull public final MethodChannel.MethodCallHandler parsingMethodHandler

- ## Constructor Details

  - ### SensitiveContentChannel

    public SensitiveContentChannel(@NonNull DartExecutor dartExecutor)

- ## Method Details

  - ### setSensitiveContentMethodHandler

    public void setSensitiveContentMethodHandler(@Nullable SensitiveContentChannel.SensitiveContentMethodHandler sensitiveContentMethodHandler)
    Sets the `SensitiveContentChannel.SensitiveContentMethodHandler` which receives all requests to get and set a particular content sensitivty level sent through this channel.